'use strict';

var enableArrayEssentials = require('./plugin/array-essentials.js');
var enableBigIntEssentials = require('./plugin/bigint-essentials.js');
var enableDateEssentials = require('./plugin/date-essentials.js');
var enableNumberEssentials = require('./plugin/number-essentials.js');
var enableObjectEssentials = require('./plugin/object-essentials.js');
var enableSetEssentials = require('./plugin/set-essentials.js');
var enableStringEssentials = require('./plugin/string-essentials.js');
var core = require('./core.js');

/**
 * The module with the core Doubter functionality.
 *
 * ```ts
 * import * as d from 'doubter/core';
 * ```
 *
 * @module core
 */
enableArrayEssentials(core.ArrayShape.prototype);
enableBigIntEssentials(core.BigIntShape.prototype);
enableDateEssentials(core.DateShape.prototype);
enableNumberEssentials(core.NumberShape.prototype);
enableObjectEssentials(core.ObjectShape.prototype);
enableSetEssentials(core.SetShape.prototype);
enableStringEssentials(core.StringShape.prototype);

Object.keys(core).forEach(function (k) {
	if (k !== 'default' && !Object.prototype.hasOwnProperty.call(exports, k)) Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () { return core[k]; }
	});
});
