import enableArrayEssentials from './plugin/array-essentials.mjs';
import enableBigIntEssentials from './plugin/bigint-essentials.mjs';
import enableDateEssentials from './plugin/date-essentials.mjs';
import enableNumberEssentials from './plugin/number-essentials.mjs';
import enableObjectEssentials from './plugin/object-essentials.mjs';
import enableSetEssentials from './plugin/set-essentials.mjs';
import enableStringEssentials from './plugin/string-essentials.mjs';
import { ArrayShape, BigIntShape, DateShape, NumberShape, ObjectShape, SetShape, StringShape } from './core.mjs';
export * from './core.mjs';

/**
 * The module with the core Doubter functionality.
 *
 * ```ts
 * import * as d from 'doubter/core';
 * ```
 *
 * @module core
 */
enableArrayEssentials(ArrayShape.prototype);
enableBigIntEssentials(BigIntShape.prototype);
enableDateEssentials(DateShape.prototype);
enableNumberEssentials(NumberShape.prototype);
enableObjectEssentials(ObjectShape.prototype);
enableSetEssentials(SetShape.prototype);
enableStringEssentials(StringShape.prototype);
